Bug 1780367 - 'Number Spinner' for MachineSet count or Deployment count (and maybe other places) can go negative
Summary: 'Number Spinner' for MachineSet count or Deployment count (and maybe other pl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.4.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-05 19:29 UTC by Eric Paris
Modified: 2020-05-04 11:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the OpenShift console would allow you to set negative numbers in the machine count or replica count dialog when using the number spinner input. This bug has been fixed, and the number spinner won't let you pick values less than 0.
Clone Of:
Environment:
Last Closed: 2020-05-04 11:18:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 3692 0 'None' closed Bug 1780367: NumberSpinner fixes 2020-04-24 14:48:04 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:19:10 UTC

Description Eric Paris 2019-12-05 19:29:54 UTC
If you go to Compute->MachineSets->Hamburger on a machineset->Edit Counts you can click the minus button until it goes negative. It should probably stop decreasing at 0.

Comment 1 Eric Paris 2019-12-05 19:31:52 UTC
I'm also told those buttons are not keyboard or screen reader accessible, if you can fix that while you are in there   :)

Comment 3 shahan 2019-12-16 03:27:10 UTC
machineset->Edit Counts  the minus button will disabled when count is zero
4.4.0-0.nightly-2019-12-15-184910

Comment 5 errata-xmlrpc 2020-05-04 11:18:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.